<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:15 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>TaskInputs (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="TaskInputs (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/tasks/TaskInputFilePropertyBuilder.html" title="interface in org.gradle.api.tasks"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/tasks/TaskInstantiationException.html" title="class in org.gradle.api.tasks"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/tasks/TaskInputs.html" target="_top">Frames</a></li>
<li><a href="TaskInputs.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.gradle.api.tasks</div>
<h2 title="Interface TaskInputs" class="title">Interface TaskInputs</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="../../../../org/gradle/api/tasks/CompatibilityAdapterForTaskInputs.html" title="interface in org.gradle.api.tasks">CompatibilityAdapterForTaskInputs</a></dd>
</dl>
<dl>
<dt>All Known Subinterfaces:</dt>
<dd><a href="../../../../org/gradle/api/tasks/TaskInputFilePropertyBuilder.html" title="interface in org.gradle.api.tasks">TaskInputFilePropertyBuilder</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="strong">TaskInputs</span>
extends <a href="../../../../org/gradle/api/tasks/CompatibilityAdapterForTaskInputs.html" title="interface in org.gradle.api.tasks">CompatibilityAdapterForTaskInputs</a></pre>
<div class="block"><p>A <code>TaskInputs</code> represents the inputs for a task.</p>

 <p>You can obtain a <code>TaskInputs</code> instance using <a href="../../../../org/gradle/api/Task.html#getInputs()"><code>Task.getInputs()</code></a>.</p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/tasks/TaskInputFilePropertyBuilder.html" title="interface in org.gradle.api.tasks">TaskInputFilePropertyBuilder</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/TaskInputs.html#dir(java.lang.Object)">dir</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;dirPath)</code>
<div class="block">Registers an input directory hierarchy.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/tasks/TaskInputFilePropertyBuilder.html" title="interface in org.gradle.api.tasks">TaskInputFilePropertyBuilder</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/TaskInputs.html#file(java.lang.Object)">file</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;path)</code>
<div class="block">Registers some input file for this task.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/tasks/TaskInputFilePropertyBuilder.html" title="interface in org.gradle.api.tasks">TaskInputFilePropertyBuilder</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/TaskInputs.html#files(java.lang.Object...)">files</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;paths)</code>
<div class="block">Registers some input files for this task.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/TaskInputs.html#getFiles()">getFiles</a></strong>()</code>
<div class="block">Returns the input files of this task.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/TaskInputs.html#getHasInputs()">getHasInputs</a></strong>()</code>
<div class="block">Returns true if this task has declared the inputs that it consumes.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/TaskInputs.html#getHasSourceFiles()">getHasSourceFiles</a></strong>()</code>
<div class="block">Returns true if this task has declared that it accepts source files.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/TaskInputs.html#getProperties()">getProperties</a></strong>()</code>
<div class="block">Returns the set of input properties for this task.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/TaskInputs.html#getSourceFiles()">getSourceFiles</a></strong>()</code>
<div class="block">Returns the set of source files for this task.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/tasks/TaskInputs.html" title="interface in org.gradle.api.tasks">TaskInputs</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/TaskInputs.html#properties(java.util.Map)">properties</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,?&gt;&nbsp;properties)</code>
<div class="block">Registers a set of input properties for this task.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../org/gradle/api/tasks/TaskInputs.html" title="interface in org.gradle.api.tasks">TaskInputs</a></code></td>
<td class="colLast"><code><strong><a href="../../../../org/gradle/api/tasks/TaskInputs.html#property(java.lang.String,%20java.lang.Object)">property</a></strong>(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
        <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;value)</code>
<div class="block">Registers an input property for this task.</div>
</td>
</tr>
</table>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getHasInputs()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHasInputs</h4>
<pre>boolean&nbsp;getHasInputs()</pre>
<div class="block">Returns true if this task has declared the inputs that it consumes.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>true if this task has declared any inputs.</dd></dl>
</li>
</ul>
<a name="getFiles()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFiles</h4>
<pre><a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;getFiles()</pre>
<div class="block">Returns the input files of this task.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The input files. Returns an empty collection if this task has no input files.</dd></dl>
</li>
</ul>
<a name="files(java.lang.Object...)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>files</h4>
<pre><a href="../../../../org/gradle/api/tasks/TaskInputFilePropertyBuilder.html" title="interface in org.gradle.api.tasks">TaskInputFilePropertyBuilder</a>&nbsp;files(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>...&nbsp;paths)</pre>
<div class="block">Registers some input files for this task.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/api/tasks/CompatibilityAdapterForTaskInputs.html#files(java.lang.Object...)">files</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/api/tasks/CompatibilityAdapterForTaskInputs.html" title="interface in org.gradle.api.tasks">CompatibilityAdapterForTaskInputs</a></code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>paths</code> - The input files. The given paths are evaluated as per <a href="../../../../org/gradle/api/Project.html#files(java.lang.Object...)"><code>Project.files(Object...)</code></a>.</dd>
<dt><span class="strong">Returns:</span></dt><dd>a property builder to further configure the property.</dd></dl>
</li>
</ul>
<a name="file(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>file</h4>
<pre><a href="../../../../org/gradle/api/tasks/TaskInputFilePropertyBuilder.html" title="interface in org.gradle.api.tasks">TaskInputFilePropertyBuilder</a>&nbsp;file(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;path)</pre>
<div class="block">Registers some input file for this task.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/api/tasks/CompatibilityAdapterForTaskInputs.html#file(java.lang.Object)">file</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/api/tasks/CompatibilityAdapterForTaskInputs.html" title="interface in org.gradle.api.tasks">CompatibilityAdapterForTaskInputs</a></code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>path</code> - The input file. The given path is evaluated as per <a href="../../../../org/gradle/api/Project.html#files(java.lang.Object...)"><code>Project.files(Object...)</code></a>.</dd>
<dt><span class="strong">Returns:</span></dt><dd>a property builder to further configure the property.</dd></dl>
</li>
</ul>
<a name="dir(java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>dir</h4>
<pre><a href="../../../../org/gradle/api/tasks/TaskInputFilePropertyBuilder.html" title="interface in org.gradle.api.tasks">TaskInputFilePropertyBuilder</a>&nbsp;dir(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;dirPath)</pre>
<div class="block">Registers an input directory hierarchy. All files found under the given directory are treated as input files for
 this task.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code><a href="../../../../org/gradle/api/tasks/CompatibilityAdapterForTaskInputs.html#dir(java.lang.Object)">dir</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../org/gradle/api/tasks/CompatibilityAdapterForTaskInputs.html" title="interface in org.gradle.api.tasks">CompatibilityAdapterForTaskInputs</a></code></dd>
<dt><span class="strong">Parameters:</span></dt><dd><code>dirPath</code> - The directory. The path is evaluated as per <a href="../../../../org/gradle/api/Project.html#file(java.lang.Object)"><code>Project.file(Object)</code></a>.</dd>
<dt><span class="strong">Returns:</span></dt><dd>a property builder to further configure the property.</dd></dl>
</li>
</ul>
<a name="getProperties()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProperties</h4>
<pre><a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;&nbsp;getProperties()</pre>
<div class="block">Returns the set of input properties for this task.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The properties.</dd></dl>
</li>
</ul>
<a name="property(java.lang.String, java.lang.Object)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>property</h4>
<pre><a href="../../../../org/gradle/api/tasks/TaskInputs.html" title="interface in org.gradle.api.tasks">TaskInputs</a>&nbsp;property(<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;name,
                  <a href="https://docs.oracle.com/javase/7/docs/api/javax/annotation/Nullable.html?is-external=true" title="class or interface in javax.annotation">@Nullable</a>
                  <a href="https://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;value)</pre>
<div class="block"><p>Registers an input property for this task. This value is persisted when the task executes, and is compared
 against the property value for later invocations of the task, to determine if the task is up-to-date.</p>

 <p>The given value for the property must be Serializable, so that it can be persisted. It should also provide a
 useful <code>equals()</code> method.</p>

 <p>You can specify a closure or <code>Callable</code> as the value of the property. In which case, the closure or
 <code>Callable</code> is executed to determine the actual property value.</p></div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>name</code> - The name of the property. Must not be null.</dd><dd><code>value</code> - The value for the property. Can be null.</dd></dl>
</li>
</ul>
<a name="properties(java.util.Map)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>properties</h4>
<pre><a href="../../../../org/gradle/api/tasks/TaskInputs.html" title="interface in org.gradle.api.tasks">TaskInputs</a>&nbsp;properties(<a href="https://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,?&gt;&nbsp;properties)</pre>
<div class="block">Registers a set of input properties for this task. See <a href="../../../../org/gradle/api/tasks/TaskInputs.html#property(java.lang.String,%20java.lang.Object)"><code>property(String, Object)</code></a> for details.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>properties</code> - The properties.</dd></dl>
</li>
</ul>
<a name="getHasSourceFiles()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHasSourceFiles</h4>
<pre>boolean&nbsp;getHasSourceFiles()</pre>
<div class="block">Returns true if this task has declared that it accepts source files.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>true if this task has source files, false if not.</dd></dl>
</li>
</ul>
<a name="getSourceFiles()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getSourceFiles</h4>
<pre><a href="../../../../org/gradle/api/file/FileCollection.html" title="interface in org.gradle.api.file">FileCollection</a>&nbsp;getSourceFiles()</pre>
<div class="block">Returns the set of source files for this task. These are the subset of input files which the task actually does work on.
 A task is skipped if it has declared it accepts source files, and this collection is empty.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The set of source files for this task.</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../org/gradle/api/tasks/TaskInputFilePropertyBuilder.html" title="interface in org.gradle.api.tasks"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../org/gradle/api/tasks/TaskInstantiationException.html" title="class in org.gradle.api.tasks"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?org/gradle/api/tasks/TaskInputs.html" target="_top">Frames</a></li>
<li><a href="TaskInputs.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
